Get Disk Usage
GET
/zfs/pools/disks-usage
const url = 'https://sylve.lan:8181/api/zfs/pools/disks-usage';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/zfs/pools/disks-usage \ --header 'Authorization: <Authorization>'Get the overall disk usage percentage across all ZFS pools
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Disk usage percentage
Media typeapplication/json
object
data
object
total
number
usage
number
error
string
message
string
status
string
Examplegenerated
{ "data": { "total": 1, "usage": 1 }, "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}